import { GIT_LOGIN_SAVE, GIT_PASSWORD_SAVE, GIT_USER_SAVE, GIT_AUTH_CLEAN, GIT_SET_AUTH, GIT_CHECK_AUTH } from '../types';
export declare type UserAction = ({
    type: GIT_LOGIN_SAVE;
    login: string;
}) | ({
    type: GIT_PASSWORD_SAVE;
    password: string;
}) | ({
    type: GIT_USER_SAVE;
    id: string;
}) | ({
    type: GIT_AUTH_CLEAN;
}) | ({
    type: GIT_SET_AUTH;
}) | ({
    type: GIT_CHECK_AUTH;
});
export declare const loginSetGit: (login: string) => UserAction;
export declare const passSetGit: (password: string) => UserAction;
export declare const saveUser: (id: string) => UserAction;
export declare const setAuth: () => UserAction;
export declare const checkAuth: () => UserAction;
export declare const authCleanGit: () => UserAction;
